Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.1.0
Release: 1tr
Copyright: GPL
Group: Environment/File
Source0: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-ps.tar.gz
Source2: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-doc.tar.gz
Prereq: /sbin/install-info
BuildRoot: /var/tmp/%{name}-root
Provides: awk

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%prep
%setup -q -b 1 -b 2

%build
./configure --mandir='${prefix}/share/man$(manexta)' --infodir='${prefix}/share/info'
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=${RPM_BUILD_ROOT}%{_prefix} bindir=${RPM_BUILD_ROOT}/bin
strip ${RPM_BUILD_ROOT}/bin/gawk || :
strip ${RPM_BUILD_ROOT}%{_prefix}/libexec/awk/* || :

( cd $RPM_BUILD_ROOT
  rm -f .%{_prefix}/share/info/dir
  gzip -9nf .%{_prefix}/share/info/gawk.info*
  mkdir -p .%{_prefix}/bin
  ln -sf gawk.1 .%{_prefix}/share/man/man1/awk.1
  ln -sf /bin/gawk .%{_prefix}/bin/awk
  ln -sf /bin/gawk .%{_prefix}/bin/gawk
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_prefix}/share/info/gawk.info.gz %{_prefix}/share/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_prefix}/share/info/gawk.info.gz %{_prefix}/share/info/dir
fi

%files
%defattr(-,root,root)
%doc README COPYING ACKNOWLEDGMENT FUTURES INSTALL LIMITATIONS NEWS PORTS 
%doc README_d POSIX.STD doc/*
/bin/*
%{_prefix}/bin/*
%{_prefix}/share/man/man1/*
%{_prefix}/share/info/gawk.info*
%{_prefix}/libexec/awk
%{_prefix}/share/awk

%changelog
* Tue Jun  5 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 3.1.0
- "unaligned" and networking patches applied upstream, removed

* Wed Sep 13 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to version 3.0.6

* Wed Mar 22 2000 Lars Gaarden <larsg@trustix.com>
- Fixed manpages

* Sat Mar 18 2000 Michael Tokarev <mjt@tls.msk.ru>
- added %defattr to %files

* Mon Jan 24 2000 Tore Olsen <toreo@trustix.com>
- moved /usr/man and /usr/info to /usr/share/* for FHS compliance.

* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

